import time
import datetime

# Import modułu OLED
from OmegaExpansion import oledExp

e = datetime.datetime.now()
t = "%s/%s/%s" % (e.day, e.month, e.year) # aktualna data

# inicjalizacja
print("Inicjalizacja modułu OLED Expansion\n")
status = oledExp.driverInit()
if (status != 0):    
    exit()

oledExp.clear() # wyczyść ekran
oledExp.scrollStop() # zatrzymaj scrolling

# drukowanie tekstów
oledExp.write("IoT Omega2")
oledExp.setCursor(2,1)
oledExp.write(t)
oledExp.setCursor(4,1)
oledExp.write("Gotowy do dzialania") # bez polskich znaków

# drukujemy znak !
# 8 bitów w pione 10011111 = 0x9f
oledExp.setCursorByPixel(4,115)
oledExp.writeByte(0x9f)

# sztuczki z ekranem
time.sleep(1)
oledExp.setDisplayMode(1)
time.sleep(1)
oledExp.setDisplayMode(0)
time.sleep(1)
oledExp.setDim(1)

# scrollowanie
status = oledExp.scrollDiagonal(
1,     # direction
6,     # scrollSpeed
0,     # fixedRows
128-1, # scrollRows
1,     # verticalOffset
0,     # startPage
8-1    # stopPage
)